Reveal full card details
curl --request POST \
--url https://api.example.com/api/v1/cards/{card_id}/details \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"messageSignature": "<string>",
"nonce": 123
}
'import requests
url = "https://api.example.com/api/v1/cards/{card_id}/details"
payload = {
"messageSignature": "<string>",
"nonce": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({messageSignature: '<string>', nonce: 123})
};
fetch('https://api.example.com/api/v1/cards/{card_id}/details', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"cardNumber": "<string>",
"cvv": "<string>",
"expiryDate": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Cards
Reveal full card details
Get full card number (PAN), CVV and expiry by Card UUID. Requires wallet signature for confirmation.
POST
/
api
/
v1
/
cards
/
{card_id}
/
details
Reveal full card details
curl --request POST \
--url https://api.example.com/api/v1/cards/{card_id}/details \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"messageSignature": "<string>",
"nonce": 123
}
'import requests
url = "https://api.example.com/api/v1/cards/{card_id}/details"
payload = {
"messageSignature": "<string>",
"nonce": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({messageSignature: '<string>', nonce: 123})
};
fetch('https://api.example.com/api/v1/cards/{card_id}/details', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"cardNumber": "<string>",
"cvv": "<string>",
"expiryDate": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Path Parameters
Body
application/json
Was this page helpful?